Course Bundles
curl --request GET \
--url https://lms.terang.ai/api/recommended-courses \
--header 'x-api-key: <api-key>'import requests
url = "https://lms.terang.ai/api/recommended-courses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://lms.terang.ai/api/recommended-courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"recommendedCourses": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"categoryId": 123,
"category": {
"id": 1,
"code": "MANAJEMEN",
"name": "Manajemen"
},
"courseOne": {
"id": "<string>",
"numericId": 123,
"name": "<string>",
"description": "<string>",
"instructor": "<string>",
"code": "<string>",
"eventCode": "<string>",
"nilaiKum": 123,
"thumbnail": "<string>",
"price": 123,
"priceNonMember": 123,
"currency": "<string>",
"categoryId": 123,
"enrollmentType": "<string>",
"isPurchasable": true,
"previewMode": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"modules": [
"<unknown>"
],
"certificate": {
"isEligible": true,
"isGenerated": true
},
"minPassingScore": 123,
"totalProgress": 123,
"status": "<string>",
"studentCount": 123
},
"courseTwo": {
"id": "<string>",
"numericId": 123,
"name": "<string>",
"description": "<string>",
"instructor": "<string>",
"code": "<string>",
"eventCode": "<string>",
"nilaiKum": 123,
"thumbnail": "<string>",
"price": 123,
"priceNonMember": 123,
"currency": "<string>",
"categoryId": 123,
"enrollmentType": "<string>",
"isPurchasable": true,
"previewMode": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"modules": [
"<unknown>"
],
"certificate": {
"isEligible": true,
"isGenerated": true
},
"minPassingScore": 123,
"totalProgress": 123,
"status": "<string>",
"studentCount": 123
},
"totalPrice": 123,
"price": 123,
"priceNonMember": 123,
"kum": 123,
"currency": "IDR",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"success": false,
"error": "Rate limit exceeded"
}{
"success": false,
"error": "Rate limit exceeded"
}{
"success": false,
"error": "Rate limit exceeded"
}Courses
Course Bundles
Get recommended course bundles — pairs of courses offered together, often at a discounted price.
GET
/
api
/
recommended-courses
Course Bundles
Authorizations
apiKeycookieAuth
API key generated under Teacher Dashboard → Kunci API. Format: lms_key_...
Query Parameters
Set to true to only show bundles where both courses are published and have IAI event codes.
Filter bundles by category ID.
⌘I